Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.verifier.exc
Class Utility

    java.lang.Object
      |
      +--org.apache.bcel.verifier.exc.Utility

public final class Utility
extends java.lang.Object

A utility class providing convenience methods concerning Throwable instances.

Version:
  $Id: Utility.java,v 1.1.1.1 2001/10/29 20:00:34 jvanzyl Exp $
Author:
  Enver Haase
See Also:
  `Throwable`

Method Summary
`static java.lang.String` | `getStackTrace(java.lang.Throwable t)` This method returns the stack trace of a Throwable instance as a String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getStackTrace

    public static java.lang.String getStackTrace(java.lang.Throwable t)

  This method returns the stack trace of a Throwable instance as a String.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.